#include "mainwindow.h"
#include "car.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{
    chrono.setInterval(40);
    connect(&chrono, SIGNAL(timeout()), this, SLOT(update()));
    chrono.start();

    mycar1 = Car(); // facultatif
    mycar2 = Car(Qt::red, 100, 300, 2);
}

MainWindow::~MainWindow()
{
}

void MainWindow::paintEvent(QPaintEvent* event)
{
    QMainWindow::paintEvent(event);
    QPainter painter(this);

    mycar1.draw(painter);
    mycar2.draw(painter);
}

void MainWindow::update()
{
    mycar1.drive();
    mycar2.drive();
    this->repaint();
}

